// Copyright 2017 Monax Industries Limited
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//    http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package loggers

import (
	"testing"

	"github.com/hyperledger/burrow/logging/errors"
	"github.com/stretchr/testify/assert"
)

func TestNewMultipleOutputLogger(t *testing.T) {
	a := newErrorLogger("error a")
	b := newErrorLogger("error b")
	mol := NewMultipleOutputLogger(a, b)
	logLine := []interface{}{"msg", "hello"}
	errLog := mol.Log(logLine...)
	expected := [][]interface{}{logLine}
	logLineA, err := a.logLines(1)
	assert.NoError(t, err)
	logLineB, err := b.logLines(1)
	assert.NoError(t, err)
	assert.Equal(t, expected, logLineA)
	assert.Equal(t, expected, logLineB)
	assert.IsType(t, errors.MultipleErrors{}, errLog)
}
